package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuChannelskuQueryRequest struct {
	/*
	   查询渠道商品的入参     */
	Param *domain.AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuChannelskuQueryRequest) SetParam(v domain.AlibabaWdkSkuChannelskuQueryChannelSkuQueryDo) *AlibabaWdkSkuChannelskuQueryRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuChannelskuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuChannelskuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
